package com.friday.operation.api.custody.service;

import com.friday.base.common.response.DubboResult;
import com.friday.operation.api.custody.dto.*;
import com.friday.operation.api.custody.vo.*;

import java.util.ArrayList;

public interface ITrustAuthorizationService {
    DubboResult editAuthorizationInfo(AuthorizationDTO auth);

    DubboResult deleteAuthorizationInfo(AuthorizationDeleteDTO authDelete);

    DubboResult<ArrayList<TrustAuthorizationVO>> queryAuthorizationInfo(AuthorizationQueryDTO query);
}
